# Searches for donors using predefined parameters Searches for donors using predefined parameters Endpoint: POST /donors/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) City to search - `contact_id` (array) - `email_address` (string) - `first_name` (string) - `ids` (array) IDs to search - `job_title` (string) - `last_name` (string) - `nickname` (string) - `organization_id` (array) - `state` (string) The state - `type` (string) ## Response 200 fields (application/json): - `Items` (array) - `Items.city` (string) City to search - `Items.contact_id` (string) The contact of the donor - `Items.domain_name` (string) The domain name - `Items.id` (string) The id - `Items.name` (string) The name - `Items.organization` (string) The organization of the donor - `Items.state` (string) The state - `Items.type` (string) The type of the donor: contact or organization - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields